Foreman - Bug #17864

Show smart proxy errors on unattended failure
12/28/2016 02:58 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Unattended installations
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4142
Description

If your proxy is has some error (like misconfigured sudoers, puppet not available, etc...) and you try to boot a host through
unattended mode [1], the exception will not show up when you try to fetch the kickstart template. Instead, it will show something like
No HTTP_REFERER was set in the request to this action, so redirect_to :back could not be called successfully.

The application controller should be aware of this situation and don't try to redirect to back in it, instead just render the error.

[1] an example of such error - ProxyAPI::ProxyException: ERF12-0104 [ProxyAPI::ProxyException]: Unable to set PuppetCA
autosign for tonia-rippeon.lobatolan.home ([RestClient::NotAcceptable]: 406 Not Acceptable) for proxy

https://centos7-devel.lobatolan.home:9090/puppet/ca

Associated revisions

Revision a7f4dad2 - 01/05/2017 05:34 AM - Daniel Lobato Garcia

Fixes #17864 - Show smart proxy errors on unattended fail

If your proxy is has some error (like misconfigured sudoers, puppet not
available, etc...) and you try to boot a host through unattended

mode [1], the exception will not show up when you try to fetch the

kickstart template. Instead, it will show something like No HTTP_REFERER
was set in the request to this action, so redirect_to :back could not be
called successfully.

The application controller should be aware of this situation and don't
try to redirect to back in it, instead just render the error.

[1] an example of such error - ProxyAPI::ProxyException: ERF12-0104
[ProxyAPI::ProxyException]: Unable to set PuppetCA autosign for
tonia-rippeon.lobatolan.home ([RestClient::NotAcceptable]: 406 Not
Acceptable) for proxy
https://centos7-devel.lobatolan.home:9090/puppet/ca

Revision 6e3bafb6 - 01/30/2017 11:02 AM - Daniel Lobato Garcia

Fixes #17864 - Show smart proxy errors on unattended fail

If your proxy is has some error (like misconfigured sudoers, puppet not
available, etc...) and you try to boot a host through unattended

mode [1], the exception will not show up when you try to fetch the

kickstart template. Instead, it will show something like No HTTP_REFERER
was set in the request to this action, so redirect_to :back could not be
called successfully.

The application controller should be aware of this situation and don't
try to redirect to back in it, instead just render the error.

[1] an example of such error - ProxyAPI::ProxyException: ERF12-0104
[ProxyAPI::ProxyException]: Unable to set PuppetCA autosign for
tonia-rippeon.lobatolan.home ([RestClient::NotAcceptable]: 406 Not
Acceptable) for proxy
(cherry picked from commit a7f4dad24436f45b1b8b6ad79ba7abbddaa24fe4)

History

#1 - 12/28/2016 03:14 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4142 added

#2 - 01/05/2017 06:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a7f4dad24436f45b1b8b6ad79ba7abbddaa24fe4.

#3 - 01/05/2017 07:37 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#4 - 01/24/2017 09:58 AM - Daniel Lobato Garcia

- Target version set to 169

#5 - 02/18/2017 10:23 AM - Brad Buckingham
- Target version deleted (169)

#6 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0
